Package org.apache.storm.scheduler.resource.strategies.priority

## Class GenericResourceAwareSchedulingPriorityStrategy

- java.lang.Object
- - org.apache.storm.scheduler.resource.strategies.priority.DefaultSchedulingPriorityStrategy
  - - org.apache.storm.scheduler.resource.strategies.priority.GenericResourceAwareSchedulingPriorityStrategy

- All Implemented Interfaces:
    `ISchedulingPriorityStrategy`

      public class GenericResourceAwareSchedulingPriorityStrategy
      extends DefaultSchedulingPriorityStrategy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `GenericResourceAwareSchedulingPriorityStrategy.GrasSimulatedUser` |

    - ### Nested classes/interfaces inherited from class org.apache.storm.scheduler.resource.strategies.priority.DefaultSchedulingPriorityStrategy

      `DefaultSchedulingPriorityStrategy.SimulatedUser`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericResourceAwareSchedulingPriorityStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<TopologyDetails>` | `getOrderedTopologies​(ISchedulingState cluster, Map<String,​User> userMap)` | Prioritize the list of all topologies in the cluster.
    `protected GenericResourceAwareSchedulingPriorityStrategy.GrasSimulatedUser` | `getSimulatedUserFor​(User u, ISchedulingState cluster)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericResourceAwareSchedulingPriorityStrategy

          public GenericResourceAwareSchedulingPriorityStrategy()

  - ### Method Detail

    - #### getSimulatedUserFor

          protected GenericResourceAwareSchedulingPriorityStrategy.GrasSimulatedUser getSimulatedUserFor​(User u,
                                                                                                         ISchedulingState cluster)

      Overrides:
        `getSimulatedUserFor` in class `DefaultSchedulingPriorityStrategy`

    - #### getOrderedTopologies

          public List<TopologyDetails> getOrderedTopologies​(ISchedulingState cluster,
                                                            Map<String,​User> userMap)

      Description copied from interface: `ISchedulingPriorityStrategy`
      Prioritize the list of all topologies in the cluster.
      Specified by:
        `getOrderedTopologies` in interface `ISchedulingPriorityStrategy`
      Overrides:
        `getOrderedTopologies` in class `DefaultSchedulingPriorityStrategy`
      Returns:
        ordered list of topologies to schedule.